#ifndef GRAPH_H
#define GRAPH_H

#include <stdint.h>

void random_adjacency(const uint64_t vertex_count,
                      uint64_t matrix[vertex_count][vertex_count]);

void calculate_distance_matrix(const uint64_t vertex_count,
                              const uint64_t adjacency_matrix[vertex_count][vertex_count],
                              uint64_t distance_matrix[vertex_count][vertex_count]);

#endif
